Install Gqrx SDR on Ubuntu Linux

For Ubuntu 14.04 Р16.04 you can choose to use packages from our own personal package archive (PPA) where you can get the latest version of Gqrx for Ubuntu and derivatives. This PPA depends on a few other third party package archives to provide the latest SDR drivers and GNU Radio packages.

To start using the PPA, first make sure that you do not have any other source or binary installation of gqrx, gnuradio or the SDR driver libraries installed:

sudo apt-get purge --auto-remove gqrx
sudo apt-get purge --auto-remove gqrx-sdr

You should now remove the gqrx/releases or gqrx/snapshots PPA from the list of repositories / package source if you have been using these.

Then add the new repositories to the package manager by typing the following in a terminal – one line at a time (note the version specific line):

sudo add-apt-repository -y ppa:bladerf/bladerf        (for 14.04 - 15.10 only)
sudo add-apt-repository -y ppa:ettusresearch/uhd
sudo add-apt-repository -y ppa:myriadrf/drivers
sudo add-apt-repository -y ppa:myriadrf/gnuradio
sudo add-apt-repository -y ppa:gqrx/gqrx-sdr
sudo apt-get update

If that went well without errors, continue with installing gqrx:

sudo apt-get install gqrx-sdr

You can now find gqrx in the desktop menu or start it from a terminal by typing gqrx.

Once you have installed Gqrx from the PPA, updates will be available through the package manager.

It is recommended that users also install the libvolk1-bin package and run the volk_profile tool to optimize GNU Radio performance on the specific computer it is being used on.

sudo apt-get install libvolk1-bin
volk_profile

Wait for it to finish, then enjoy the performance boost :-)

Feel free to ask for help or guidance if you are unsure or run into trouble. Please see user support for how to contact us.